%define upstream_name    DB_File
%define upstream_version 1.859

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl5 access to Berkeley DB version 1.x
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/P/PM/PMQS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: db-devel
BuildRequires: perl-devel
%{?perl_default_filter}

%description
DB_File is a module which allows Perl programs to make use of the
facilities provided by Berkeley DB version 1. (DB_File can be built with
version 2 or 3 of Berkeley DB, but it will only support the 1.x
features).

If you want to make use of the new features available in Berkeley DB
2.x or 3.x, use the Perl module BerkeleyDB instead.

Berkeley DB is a C library which provides a consistent interface to a
number of database formats. DB_File provides an interface to all three
of the database types (hash, btree and recno) currently supported by
Berkeley DB.

For further details see the documentation included at the end of the
file DB_File.pm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 README DB_File.pm

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*.pm
%{perl_vendorarch}/auto/DB_File


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.859.0-4.mga10
+ Revision: 2225915
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 1.859.0-3.mga10
+ Revision: 2088022
- Rebuild against new perl

* Thu Nov 30 2023 tv <tv> 1.859.0-2.mga10
+ Revision: 2011617
- Rebuild for perl-5.38

* Wed Aug 30 2023 tv <tv> 1.859.0-1.mga10
+ Revision: 1981069
- update to 1.859

* Tue Jun 07 2022 umeabot <umeabot> 1.858.0-2.mga9
+ Revision: 1861776
- Rebuild for Perl 5.36

* Sun May 15 2022 tv <tv> 1.858.0-1.mga9
+ Revision: 1858213
- update to 1.858

* Thu Mar 17 2022 umeabot <umeabot> 1.857.0-2.mga9
+ Revision: 1797011
- Mageia 9 Mass Rebuild

* Fri Mar 04 2022 tv <tv> 1.857.0-1.mga9
+ Revision: 1788390
- update to 1.857

* Tue Jun 29 2021 tv <tv> 1.856.0-1.mga9
+ Revision: 1734225
- update to 1.856

* Mon May 24 2021 umeabot <umeabot> 1.855.0-2.mga9
+ Revision: 1726548
- Rebuild for perl 5.34

* Wed Oct 14 2020 tv <tv> 1.855.0-1.mga8
+ Revision: 1635577
- update to 1.855

* Thu Sep 17 2020 tv <tv> 1.854.0-1.mga8
+ Revision: 1627202
- update to 1.854

* Wed Jun 17 2020 umeabot <umeabot> 1.853.0-3.mga8
+ Revision: 1594406
- Rebuild for perl 5.32

* Wed Feb 19 2020 umeabot <umeabot> 1.853.0-2.mga8
+ Revision: 1542736
- Mageia 8 Mass Rebuild

* Mon Jan 06 2020 tv <tv> 1.853.0-1.mga8
+ Revision: 1476898
- update to 1.853

* Tue Aug 27 2019 tmb <tmb> 1.852.0-2.mga8
+ Revision: 1433510
- rebuild for perl 5.30

* Sun Apr 21 2019 shlomif <shlomif> 1.852.0-1.mga7
+ Revision: 1394437
- update to 1.852

* Fri Apr 05 2019 tv <tv> 1.851.0-1.mga7
+ Revision: 1385930
- update to 1.851

* Sun Mar 31 2019 tv <tv> 1.850.0-1.mga7
+ Revision: 1383261
- update to 1.850

* Mon Nov 05 2018 tv <tv> 1.843.0-1.mga7
+ Revision: 1328401
- update to 1.843

* Fri Sep 21 2018 umeabot <umeabot> 1.842.0-2.mga7
+ Revision: 1292678
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 1.842.0-1.mga7
+ Revision: 1253934
- update to 1.842

* Wed Aug 08 2018 pterjan <pterjan> 1.841.0-2.mga7
+ Revision: 1250299
- Rebuild for perl 5.28

* Mon Apr 09 2018 kekepower <kekepower> 1.841.0-1.mga7
+ Revision: 1216814
- Update to version 1.841

* Mon Oct 02 2017 tv <tv> 1.840.0-3.mga7
+ Revision: 1163899
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.840.0-2.mga7
+ Revision: 1148935
- Rebuild for perl ABI changes

* Fri Aug 18 2017 sander85 <sander85> 1.840.0-1.mga7
+ Revision: 1141490
- update to 1.840

* Sat Jul 22 2017 neoclust <neoclust> 1.838.0-2.mga7
+ Revision: 1126487
- Rebuild against new Perl 5.26

* Wed May 18 2016 shlomif <shlomif> 1.838.0-1.mga6
+ Revision: 1016654
- Fix rpmlint warning about spaces vs tabs
+ yuri_myasoedov <yuri_myasoedov>
- replace '%%make test' with '%%make_build test'.
- update sha1.lst file.
- update to new version 1.838.

* Fri Feb 12 2016 umeabot <umeabot> 1.835.0-3.mga6
+ Revision: 957136
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.835.0-2.mga6
+ Revision: 843841
- Rebuild for perl 5.22

* Mon Jun 22 2015 sander85 <sander85> 1.835.0-1.mga6
+ Revision: 838647
- update to 1.835

* Wed Oct 15 2014 umeabot <umeabot> 1.831.0-5.mga5
+ Revision: 743585
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.831.0-4.mga5
+ Revision: 735544
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.831.0-3.mga5
+ Revision: 684148
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.831.0-2.mga5
+ Revision: 631001
- Rebuild for perl 5.20

* Sat Feb 08 2014 sander85 <sander85> 1.831.0-1.mga5
+ Revision: 585950
- update to 1.831

* Sat Oct 19 2013 umeabot <umeabot> 1.829.0-2.mga4
+ Revision: 529249
- Mageia 4 Mass Rebuild

* Mon Jul 08 2013 sander85 <sander85> 1.829.0-1.mga4
+ Revision: 451156
- update to 1.829

* Mon Jun 03 2013 jquelin <jquelin> 1.828.0-1.mga4
+ Revision: 436396
- update to 1.828

* Wed May 29 2013 jquelin <jquelin> 1.827.0-5.mga4
+ Revision: 430616
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 1.827.0-4.mga3
+ Revision: 405466
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.827.0-3.mga3
+ Revision: 365187
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.827.0-2.mga3
+ Revision: 315495
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.827.0-1.mga3
+ Revision: 294847
- update to 1.827

* Tue Jul 31 2012 fwang <fwang> 1.826.0-4.mga3
+ Revision: 276385
- rebuild for db-5.3

* Fri Jul 27 2012 fwang <fwang> 1.826.0-3.mga3
+ Revision: 274841
- rebuild for db

* Wed May 30 2012 jquelin <jquelin> 1.826.0-2.mga3
+ Revision: 250496
- rebuild for perl 5.16

* Tue Mar 06 2012 jquelin <jquelin> 1.826.0-1.mga2
+ Revision: 219768
- update to 1.826

* Fri Nov 04 2011 jquelin <jquelin> 1.824.0-2.mga2
+ Revision: 162792
- take priority over module bundled with perl 5.14.2
- update to 1.824

* Thu Jul 07 2011 fwang <fwang> 1.822.0-4.mga2
+ Revision: 119667
- rebuild against db4.8

* Wed Jun 22 2011 jquelin <jquelin> 1.822.0-3.mga2
+ Revision: 112048
- perl 5.14 rebuild

* Sat Jun 11 2011 sander85 <sander85> 1.822.0-2.mga2
+ Revision: 104150
- perl 5.14

* Mon Mar 14 2011 jquelin <jquelin> 1.822.0-1.mga1
+ Revision: 70981
- update to 1.822

* Fri Feb 18 2011 jquelin <jquelin> 1.821.0-2.mga1
+ Revision: 53577
- rebuild

* Wed Feb 16 2011 jquelin <jquelin> 1.821.0-1.mga1
+ Revision: 52414
- update to 1.821

* Sat Jan 22 2011 jquelin <jquelin> 1.820.0-7.mga1
+ Revision: 32737
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.820.0-6.mga1
+ Revision: 30049
- mageia rebuild
- imported package perl-DB_File


* Wed Dec 29 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.820.0-6mdv2011.0
+ Revision: 625750
- fix conflicting man pages

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.820.0-5mdv2011.0
+ Revision: 564426
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.820.0-4mdv2011.0
+ Revision: 555230
- rebuild

* Sun Feb 14 2010 Jérôme Quelin <jquelin@mandriva.org> 1.820.0-3mdv2010.1
+ Revision: 505725
- rebuild using %%perl_convert_version

* Wed Dec 30 2009 Jérôme Quelin <jquelin@mandriva.org> 1.820-2mdv2010.1
+ Revision: 483976
- rebuild

* Mon May 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.820-1mdv2010.0
+ Revision: 371602
- update to new version 1.820

* Thu Feb 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.819-1mdv2009.1
+ Revision: 342830
- update to new version 1.819

* Sun Feb 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.818-1mdv2009.1
+ Revision: 336236
- update to new version 1.818

* Mon Dec 15 2008 Oden Eriksson <oeriksson@mandriva.com> 1.817-3mdv2009.1
+ Revision: 314520
- rebuilt against db4.7

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.817-2mdv2009.0
+ Revision: 265355
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.817-1mdv2009.0
+ Revision: 193798
- update to new version 1.817

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.816-3mdv2008.1
+ Revision: 151327
- rebuild for perl-5.10.0

* Sun Dec 23 2007 Oden Eriksson <oeriksson@mandriva.com> 1.816-2mdv2008.1
+ Revision: 137309
- rebuilt against bdb 4.6.x

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.816-1mdv2008.1
+ Revision: 105481
- new version
- update to new version 1.816


* Sat Mar 03 2007 Olivier Thauvin <nanardon@mandriva.org> 1.815-1mdv2007.0
+ Revision: 131637
- 1.815

* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 1.814-2mdv2007.1
+ Revision: 108543
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-DB_File

* Thu Nov 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.814-1mdk
- 1.814

* Wed Nov 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.813-1mdk
- 1.813

* Thu Oct 13 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.812-1mdk
- new version
- spec cleanup
- %%mkrel
- rpmbuildupdate aware
- fix doc perms

* Sat Apr 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.811-1mdk
- 1.811

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.810-2mdk
- rebuild for new perl

* Tue Aug 10 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.810-1mdk
- 1.810.

* Tue Jun 29 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.809-1mdk
- 1.809.

* Thu Apr 08 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.808-1mdk
- 1.808.

